Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156342 - eu-strip mangles separate debuginfo with relocation sections
Summary: eu-strip mangles separate debuginfo with relocation sections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: elfutils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On: 156341
Blocks: 156343 181409 189114
TreeView+ depends on / blocked
 
Reported: 2005-04-29 03:23 UTC by Roland McGrath
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0354
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 18:28:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0354 normal SHIPPED_LIVE Low: elfutils security update 2006-08-10 04:00:00 UTC

Description Roland McGrath 2005-04-29 03:23:43 UTC
+++ This bug was initially created as a clone of Bug #156341 +++

Description of problem:

When eu-strip writes separate debuginfo from an ET_REL object such as a kernel
module (.ko file), it doesn't fix up the relocs referring to section symbols
removed from the symbol table.

Version-Release number of selected component (if applicable):
0.106-3

How reproducible:
100%

Steps to Reproduce:
1. Install kernel-debuginfo package.
2. Try to use foo.ko.debug.
3. See bad relocs.
  
Actual results:


Expected results:


Additional info:

This is a blocker for SystemTAP.

Comment 1 Roland McGrath 2005-05-09 08:23:20 UTC
This is fixed upstream/for Fedora (Bug #156341).
Needs backport fix or perhaps just upgrade of elfutils.

Comment 2 Roland McGrath 2005-05-26 01:24:52 UTC
The RHEL4 eu-strip actually just uses the binutils objcopy/strip.
The binutils strip-to-debug works differently and the debuginfo produced should
be fine for systemtap.

Comment 3 Jay Turner 2005-06-21 18:32:13 UTC
Removing from proposed list.

Comment 4 Roland McGrath 2005-08-02 01:40:29 UTC
Turns out I was wrong.  I confused myself trying to make sense of the insane
elfutils multi-stream errata situation in RHEL.  In fact, the elfutils being
used for RHEL4 builds is the real non-stub one, and eu-strip is the real one
with this bug rather than the binutils wrapper.

Comment 10 Roland McGrath 2005-10-10 21:03:56 UTC
This is an unrelated bug.  This error message is never the failure mode of the
eu-strip issue.

Comment 11 Roland McGrath 2005-10-10 21:12:42 UTC
As long as the buildroots don't change, this is not an issue for RHEL4.


Comment 17 Roland McGrath 2006-04-21 00:11:26 UTC
0.97.1-3 should fix this.

Comment 20 Red Hat Bugzilla 2006-08-10 18:28:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0354.html



Note You need to log in before you can comment on or make changes to this bug.